### Method

# Foundry GirNode list_attributes

#### Declaration [src]

    const char**
    foundry_gir_node_list_attributes (
      FoundryGirNode* node,
      guint* n_attributes
    )

#### Description [src]

Gets the keys of the node.

The caller should free the resulting array but not the elements within it.

#### Parameters

`n_attributes`

  Type: `guint*`

  Location for number of attributes.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: An array of `utf8`

No description available.

The array is `NULL`-terminated.
The length of the array is in the `n_attributes` argument.
The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.